Debian Bug report logs - #589996
Insane dependency on apt causes kernel to be removed on update

version graph

Package: linux-base; Maintainer for linux-base is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for linux-base is src:linux-base.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Thu, 22 Jul 2010 20:21:02 UTC

Severity: normal

Merged with 598023

Found in versions linux-2.6/2.6.36~rc5-1~experimental.1, linux-2.6/2.6.32-17, linux-2.6/2.6.35-1~experimental.3

Fixed in versions linux-2.6/2.6.36~rc6-1~experimental.1, linux-2.6/2.6.32-29

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Thu, 22 Jul 2010 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 22 Jul 2010 20:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Insane dependency on apt causes kernel to be removed on update
Date: Thu, 22 Jul 2010 22:19:36 +0200
Package: linux-base
Version: 2.6.32-17
Severity: important

Hi,

in the linux-image packages there is now a dependency chain from
linux-image-2.6... -> linux-base -> libapt-pkg-perl ->
libapt-pkg-libc6.9-6-4.8. Which is the virtual package provided by apt
to signal the ABI of its library and binary caches. In effect the
kernels are locked to a specific ABI version of apt. The problem is
that the ABI changes from time to time and every time it does an
update of apt will now remove the kernel for the duration of the
transition. For an example try installing apt from experimental.

Well, that is life you might say. That is what is called a library
transition.

But here comes the insane part. The 1637 line long perl postinst
script of linux-base only depends on apt because of this code at the
end:

sub compare_versions {
    return $AptPkg::Config::_config->system->versioning->compare(@_);
}

    if ($ARGV[0] eq 'reconfigure' || defined($ENV{DEBCONF_RECONFIGURE}) ||
        (!is_fresh_installation() &&
         compare_versions($ARGV[1], $libata_transition_ver) < 0)) {
        DebianKernel::DiskId::transition();
    }


Could I suggest replacing this with a call to

  system('dpkg', '--compare-versions', $ARGV[1], '>>', $libata_transition_ver)

That way the dependency on apt can be droped completly.

MfG
	Goswin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.6-xen-2010.02.18 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-base depends on:
ii  debconf [debconf-2.0]         1.5.32     Debian configuration management sy
ii  libapt-pkg-perl               0.1.24     Perl interface to libapt-pkg
ii  libuuid-perl                  0.02-3+b1  Perl extension for using UUID inte
ii  udev                          157-1      /dev/ and hotplug management daemo
ii  util-linux                    2.17.2-3   Miscellaneous system utilities

linux-base recommends no packages.

linux-base suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Thu, 22 Jul 2010 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 22 Jul 2010 23:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 589996@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Goswin von Brederlow <goswin-v-b@web.de>, 589996@bugs.debian.org
Subject: Re: Bug#589996: Insane dependency on apt causes kernel to be removed on update
Date: Fri, 23 Jul 2010 00:34:11 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-07-22 at 22:19 +0200, Goswin von Brederlow wrote:
> Package: linux-base
> Version: 2.6.32-17
> Severity: important
> 
> Hi,
> 
> in the linux-image packages there is now a dependency chain from
> linux-image-2.6... -> linux-base -> libapt-pkg-perl ->
> libapt-pkg-libc6.9-6-4.8. Which is the virtual package provided by apt
> to signal the ABI of its library and binary caches. In effect the
> kernels are locked to a specific ABI version of apt. The problem is
> that the ABI changes from time to time and every time it does an
> update of apt will now remove the kernel for the duration of the
> transition. For an example try installing apt from experimental.
> 
> Well, that is life you might say. That is what is called a library
> transition.
> 
> But here comes the insane part. The 1637 line long perl postinst
> script of linux-base only depends on apt because of this code at the
> end:
[...]

What's really insane is that we don't have a nice and stable library to
do this and instead I have to fork every time I want to compare two
strings.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 22 Jul 2010 23:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Fri, 23 Jul 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jul 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 589996@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 589996@bugs.debian.org
Subject: Re: Bug#589996: Insane dependency on apt causes kernel to be removed on update
Date: Fri, 23 Jul 2010 11:01:35 +0200
Ben Hutchings <ben@decadent.org.uk> writes:

> On Thu, 2010-07-22 at 22:19 +0200, Goswin von Brederlow wrote:
>> Package: linux-base
>> Version: 2.6.32-17
>> Severity: important
>> 
>> Hi,
>> 
>> in the linux-image packages there is now a dependency chain from
>> linux-image-2.6... -> linux-base -> libapt-pkg-perl ->
>> libapt-pkg-libc6.9-6-4.8. Which is the virtual package provided by apt
>> to signal the ABI of its library and binary caches. In effect the
>> kernels are locked to a specific ABI version of apt. The problem is
>> that the ABI changes from time to time and every time it does an
>> update of apt will now remove the kernel for the duration of the
>> transition. For an example try installing apt from experimental.
>> 
>> Well, that is life you might say. That is what is called a library
>> transition.
>> 
>> But here comes the insane part. The 1637 line long perl postinst
>> script of linux-base only depends on apt because of this code at the
>> end:
> [...]
>
> What's really insane is that we don't have a nice and stable library to
> do this and instead I have to fork every time I want to compare two
> strings.
>
> Ben.

Yes, a nice and stable libdpkg is needed. But here it is ONE fork and
the script aready forks a zillion times for other tools. So no harm done.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Fri, 23 Jul 2010 09:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jul 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 589996@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 589996@bugs.debian.org, Goswin von Brederlow <goswin-v-b@web.de>
Subject: Re: Bug#589996: Insane dependency on apt causes kernel to be removed on update
Date: Fri, 23 Jul 2010 11:47:12 +0200
On 2010-07-23 01:34 +0200, Ben Hutchings wrote:

> On Thu, 2010-07-22 at 22:19 +0200, Goswin von Brederlow wrote:
>> Package: linux-base
>> Version: 2.6.32-17
>> Severity: important
>> 
>> Hi,
>> 
>> in the linux-image packages there is now a dependency chain from
>> linux-image-2.6... -> linux-base -> libapt-pkg-perl ->
>> libapt-pkg-libc6.9-6-4.8. Which is the virtual package provided by apt
>> to signal the ABI of its library and binary caches. In effect the
>> kernels are locked to a specific ABI version of apt. The problem is
>> that the ABI changes from time to time and every time it does an
>> update of apt will now remove the kernel for the duration of the
>> transition. For an example try installing apt from experimental.
>> 
>> Well, that is life you might say. That is what is called a library
>> transition.
>> 
>> But here comes the insane part. The 1637 line long perl postinst
>> script of linux-base only depends on apt because of this code at the
>> end:
> [...]
>
> What's really insane is that we don't have a nice and stable library to
> do this and instead I have to fork every time I want to compare two
> strings.

Isn't there libdpkg-perl which provides this, see Dpkg::Version(3)?
Though it might not be suitable for linux-base, because you would have
to depend on libdpkg-perl | dpkg-dev (<< 1.15.6).

Sven




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sat, 24 Jul 2010 12:30:02 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 05 Aug 2010 23:51:12 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Thu, 05 Aug 2010 23:51:13 GMT) Full text and rfc822 format available.

Message #29 received at 589996-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 589996-close@bugs.debian.org
Subject: Bug#589996: fixed in linux-2.6 2.6.32-19
Date: Thu, 05 Aug 2010 23:50:36 +0000
Source: linux-2.6
Source-Version: 2.6.32-19

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-19_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-19_all.deb
linux-2.6_2.6.32-19.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-19.diff.gz
linux-2.6_2.6.32-19.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-19.dsc
linux-base_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-19_all.deb
linux-doc-2.6.32_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-19_all.deb
linux-manual-2.6.32_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-19_all.deb
linux-patch-debian-2.6.32_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-19_all.deb
linux-source-2.6.32_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-19_all.deb
linux-support-2.6.32-5_2.6.32-19_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-19_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 05 Aug 2010 02:43:19 +0100
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all source
Version: 2.6.32-19
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 588574 589996 590193 590532 590546 590557 591149 591241
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Changes: 
 linux-2.6 (2.6.32-19) unstable; urgency=low
 .
   [ maximilian attems ]
   * inotify send IN_UNMOUNT events.
   * inotify fix oneshot support.
 .
   [ Ben Hutchings ]
   * linux-base: Remove dependency on libapt-pkg-perl (Closes: #589996)
   * pata_pdc202xx_old: Fix UDMA mode for PDC2024x and PDC2026x controllers
     (Closes: #590532)
   * Update debconf template translations:
     - Czech (Michal Simunek) (Closes: #590546)
     - Portugese (Américo Monteiro) (Closes: #590557)
     - French (David Prévot) (Closes: #591149)
     - Russian (Yuri Kozlov) (Closes: #591241)
   * Add stable 2.6.32.17:
     - ethtool: Fix potential kernel buffer overflow in ETHTOOL_GRXCLSRLALL
       (CVE-2010-2478)
     - GFS2: Fix up system xattrs (CVE-2010-2525)
     - Revert ABI changes in firmware_class and ssb
     - Ignore ABI changes in acpi_processor, hostap and jbd2
   * Add drm changes from stable 2.6.33.7:
     - drm/i915: Enable low-power render writes on GEN3 hardware (915, 945,
       G33 and Atom "Pineview") (Closes: #590193, maybe others)
   * [i386/xen-686] Remove AMD Geode LX and VIA C3 "Nehemiah" from the list
     of supported processors; they do not implement PAE
   * [x86] Add samsung-laptop driver
 .
   [ dann frazier ]
   * [ia64] Fix crash when gcore reads gate area (Closes: #588574)
 .
   [ Bastian Blank ]
   * Update Xen patch.
     - Ignore ABI changes.
Checksums-Sha1: 
 e34884975bf1874ac6c34ffac7b3046afc6a9bfe 6969 linux-2.6_2.6.32-19.dsc
 a59aad8f50ee2970e4f64b90997005843f16e786 12274726 linux-2.6_2.6.32-19.diff.gz
 d5b5fff55dde3a1a926f19c53215932c3db34a92 6045778 linux-doc-2.6.32_2.6.32-19_all.deb
 a3386e92d61f26a729d7dc0926ed7db9562df3b7 2719208 linux-manual-2.6.32_2.6.32-19_all.deb
 d302930e1d1bd44e92899fbe49e941bc3ff9b0da 5593606 linux-patch-debian-2.6.32_2.6.32-19_all.deb
 e262a4f3f675ab0514265289674a5e23bd3cd0fc 64142006 linux-source-2.6.32_2.6.32-19_all.deb
 17624315da1daeb646db8c43c283e662259bd424 147114 linux-support-2.6.32-5_2.6.32-19_all.deb
 7eaead06d9f2e71442475b607df1698bd00379e0 135590 firmware-linux-free_2.6.32-19_all.deb
 6097a0e48ae0b3a852b5dcc18e85bfa7fb761136 154010 linux-base_2.6.32-19_all.deb
Checksums-Sha256: 
 ea33bbd323542d75174e7bd268d2b5ceed926d9b0bb69784988690602d8f436b 6969 linux-2.6_2.6.32-19.dsc
 3115156eef22443db408a47ba11efe6a2a44dee18bf859ae15122189ff49928e 12274726 linux-2.6_2.6.32-19.diff.gz
 0b16fd85d7ff2e2983098d2a90969b6b8dc30624e00a79eda458afd26b3c7378 6045778 linux-doc-2.6.32_2.6.32-19_all.deb
 32287ba9d0a68ea488492e1127abc4e33e381cf12dafd2499b7e8fd5d7d976c8 2719208 linux-manual-2.6.32_2.6.32-19_all.deb
 3cd3ec08885f3dac62cb5669602bf79e4c3721f1350c3cb4a4f2f601ee81bec1 5593606 linux-patch-debian-2.6.32_2.6.32-19_all.deb
 86d7f39d12988a7808a4280251b68715fd19458da39c0553cac93a3297177efd 64142006 linux-source-2.6.32_2.6.32-19_all.deb
 cf928d68822c31de8caeffecdb3fde752c6208efb33c27727e2a36dde7789a5e 147114 linux-support-2.6.32-5_2.6.32-19_all.deb
 56a52b8c67d9acca67750bde5cbe6d2ce41aa76ae80cf17637a31cdfc5e9af3f 135590 firmware-linux-free_2.6.32-19_all.deb
 8c745bfe88606257b7bbb637d0c0111772ad49c13c61702c4f1202f4dfb29686 154010 linux-base_2.6.32-19_all.deb
Files: 
 ba1cf60271b08900c2d9d12307ac22b7 6969 kernel optional linux-2.6_2.6.32-19.dsc
 384b380d8d6e64b1879052ee67493738 12274726 kernel optional linux-2.6_2.6.32-19.diff.gz
 d4bbf76a62349b01f51bb6913ca7576c 6045778 doc optional linux-doc-2.6.32_2.6.32-19_all.deb
 3f5e76b6daf45e3c332ed1d2639b4890 2719208 doc optional linux-manual-2.6.32_2.6.32-19_all.deb
 05d55ecfa401db6b5b17c1ee843b8135 5593606 kernel optional linux-patch-debian-2.6.32_2.6.32-19_all.deb
 9049c1fc0a1f9df3e14dc2dda18f9a59 64142006 kernel optional linux-source-2.6.32_2.6.32-19_all.deb
 40c3f291dce0b99db320c7b056f61aff 147114 devel optional linux-support-2.6.32-5_2.6.32-19_all.deb
 23991b2b021d03f1b1a36278a686d6ba 135590 kernel optional firmware-linux-free_2.6.32-19_all.deb
 4025c62e33b2793b882f09ebd7dab9a7 154010 kernel optional linux-base_2.6.32-19_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTFtECue/yOyVhhEJAQr2fg//aPnnjywAHm2RDtWM3G5jLW5hd7opGh+o
auLZ5xEHdtj25LmgZ8Gj9+rkyH6EOOw7gOe4Y4k3tR314AVRPmXf3FhLgCiYAOby
vEz1JGfrfntu015Yj+TC3m+20j9KTS+Ld8LjdbosCyY8IqeALYOHmK7NfXFk/FJL
0HDEQ1BaR+Il29GR5Vkp5LmK3Yj1OeZz/N549sGnT+XM4wittbBZ+TegT8h465Ey
DVXLgcz9e+1ulH6MXOPxdcb2yL9YXnaQTEw2SbnFc8hJOoFvLbrFQ3dprfj7szVj
NcEffWRD4JWIxh/hMRVVVGuL+ql8dYLJLc1rJ224YEoAwAiBDXkW7bcMwO95qJLW
A+Tuhz+2I8UPUPAOxmo6X9yK7Xjd5FRZuCGT+sntH/QwHEXg7RUjkss93okU0x5V
6HG2g8ZFnaUYUh36qpjubWKF/ngTdcd1UQA6Ocu1M+EQc+tfG+gfr/rdtnziX1eO
xJFtYWDQOU/LgrLDUWv+eOelXUK6t1jmwTdQLzZ8Bgu+cm+kARFTLuBSnA+fbrAV
p+fv87ZWoG6P/6ZtgHFgaCi1m8vYqbK33BnQSyuYsTk0n48K6Mc401RRHwyD3H2w
ArHRgkijhHUkHu1xilAD38TU0jEO1GMLuPplg5zBPcsDDal45eqxX2fbjtSmDA2S
U0Szq/+XNB0=
=aW2X
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 18 Aug 2010 02:33:02 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 06 Sep 2010 16:30:13 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Mon, 06 Sep 2010 16:30:13 GMT) Full text and rfc822 format available.

Message #36 received at 589996-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 589996-close@bugs.debian.org
Subject: Bug#589996: fixed in linux-2.6 2.6.35-1~experimental.3
Date: Mon, 06 Sep 2010 16:26:37 +0000
Source: linux-2.6
Source-Version: 2.6.35-1~experimental.3

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.35-1~experimental.3_all.deb
linux-2.6_2.6.35-1~experimental.3.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.35-1~experimental.3.diff.gz
linux-2.6_2.6.35-1~experimental.3.dsc
  to main/l/linux-2.6/linux-2.6_2.6.35-1~experimental.3.dsc
linux-base_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-base_2.6.35-1~experimental.3_all.deb
linux-doc-2.6.35_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-doc-2.6.35_2.6.35-1~experimental.3_all.deb
linux-headers-2.6.35-trunk-all-amd64_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.35-trunk-all-amd64_2.6.35-1~experimental.3_amd64.deb
linux-headers-2.6.35-trunk-all_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.35-trunk-all_2.6.35-1~experimental.3_amd64.deb
linux-headers-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
linux-headers-2.6.35-trunk-common_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.35-trunk-common_2.6.35-1~experimental.3_amd64.deb
linux-image-2.6.35-trunk-amd64-dbg_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.35-trunk-amd64-dbg_2.6.35-1~experimental.3_amd64.deb
linux-image-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
linux-libc-dev_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.35-1~experimental.3_amd64.deb
linux-manual-2.6.35_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-manual-2.6.35_2.6.35-1~experimental.3_all.deb
linux-patch-debian-2.6.35_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.35_2.6.35-1~experimental.3_all.deb
linux-source-2.6.35_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-source-2.6.35_2.6.35-1~experimental.3_all.deb
linux-support-2.6.35-trunk_2.6.35-1~experimental.3_all.deb
  to main/l/linux-2.6/linux-support-2.6.35-trunk_2.6.35-1~experimental.3_all.deb
linux-tools-2.6.35_2.6.35-1~experimental.3_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.35_2.6.35-1~experimental.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Sep 2010 15:16:17 +0200
Source: linux-2.6
Binary: linux-tools-2.6.35 linux-source-2.6.35 linux-doc-2.6.35 linux-manual-2.6.35 linux-patch-debian-2.6.35 firmware-linux-free linux-support-2.6.35-trunk linux-base linux-libc-dev linux-headers-2.6.35-trunk-all linux-headers-2.6.35-trunk-all-alpha linux-headers-2.6.35-trunk-common linux-image-2.6.35-trunk-alpha-generic linux-headers-2.6.35-trunk-alpha-generic linux-image-2.6.35-trunk-alpha-smp linux-headers-2.6.35-trunk-alpha-smp linux-image-2.6.35-trunk-alpha-legacy linux-headers-2.6.35-trunk-alpha-legacy linux-headers-2.6.35-trunk-all-amd64 linux-image-2.6.35-trunk-amd64 linux-headers-2.6.35-trunk-amd64 linux-image-2.6.35-trunk-amd64-dbg linux-headers-2.6.35-trunk-all-armel linux-image-2.6.35-trunk-iop32x linux-headers-2.6.35-trunk-iop32x linux-image-2.6.35-trunk-ixp4xx linux-headers-2.6.35-trunk-ixp4xx linux-image-2.6.35-trunk-kirkwood linux-headers-2.6.35-trunk-kirkwood linux-image-2.6.35-trunk-orion5x linux-headers-2.6.35-trunk-orion5x
 linux-image-2.6.35-trunk-versatile linux-headers-2.6.35-trunk-versatile linux-headers-2.6.35-trunk-all-hppa linux-image-2.6.35-trunk-parisc linux-headers-2.6.35-trunk-parisc linux-image-2.6.35-trunk-parisc-smp linux-headers-2.6.35-trunk-parisc-smp linux-image-2.6.35-trunk-parisc64 linux-headers-2.6.35-trunk-parisc64 linux-image-2.6.35-trunk-parisc64-smp linux-headers-2.6.35-trunk-parisc64-smp linux-headers-2.6.35-trunk-all-i386 linux-image-2.6.35-trunk-486 linux-headers-2.6.35-trunk-486 linux-image-2.6.35-trunk-686 linux-headers-2.6.35-trunk-686 linux-image-2.6.35-trunk-686-bigmem linux-headers-2.6.35-trunk-686-bigmem linux-image-2.6.35-trunk-686-bigmem-dbg linux-headers-2.6.35-trunk-all-ia64 linux-image-2.6.35-trunk-itanium linux-headers-2.6.35-trunk-itanium linux-image-2.6.35-trunk-mckinley linux-headers-2.6.35-trunk-mckinley linux-headers-2.6.35-trunk-all-m68k linux-image-2.6.35-trunk-amiga linux-headers-2.6.35-trunk-amiga linux-image-2.6.35-trunk-atari
 linux-headers-2.6.35-trunk-atari linux-image-2.6.35-trunk-bvme6000 linux-headers-2.6.35-trunk-bvme6000 linux-image-2.6.35-trunk-mac linux-headers-2.6.35-trunk-mac linux-image-2.6.35-trunk-mvme147 linux-headers-2.6.35-trunk-mvme147 linux-image-2.6.35-trunk-mvme16x linux-headers-2.6.35-trunk-mvme16x linux-headers-2.6.35-trunk-all-mips linux-image-2.6.35-trunk-r4k-ip22 linux-headers-2.6.35-trunk-r4k-ip22 linux-image-2.6.35-trunk-r5k-ip32 linux-headers-2.6.35-trunk-r5k-ip32 linux-image-2.6.35-trunk-sb1-bcm91250a linux-headers-2.6.35-trunk-sb1-bcm91250a linux-image-2.6.35-trunk-sb1a-bcm91480b linux-headers-2.6.35-trunk-sb1a-bcm91480b linux-image-2.6.35-trunk-4kc-malta linux-headers-2.6.35-trunk-4kc-malta linux-image-2.6.35-trunk-5kc-malta linux-headers-2.6.35-trunk-5kc-malta linux-image-2.6.35-trunk-octeon linux-headers-2.6.35-trunk-octeon linux-headers-2.6.35-trunk-all-mipsel linux-image-2.6.35-trunk-r5k-cobalt linux-headers-2.6.35-trunk-r5k-cobalt
 linux-image-2.6.35-trunk-loongson-2f linux-headers-2.6.35-trunk-loongson-2f linux-headers-2.6.35-trunk-all-powerpc linux-image-2.6.35-trunk-powerpc linux-headers-2.6.35-trunk-powerpc linux-image-2.6.35-trunk-powerpc-smp linux-headers-2.6.35-trunk-powerpc-smp linux-image-2.6.35-trunk-powerpc64 linux-headers-2.6.35-trunk-powerpc64 linux-headers-2.6.35-trunk-all-s390 linux-image-2.6.35-trunk-s390x linux-headers-2.6.35-trunk-s390x linux-image-2.6.35-trunk-s390x-tape linux-headers-2.6.35-trunk-all-sh4 linux-image-2.6.35-trunk-sh7751r linux-headers-2.6.35-trunk-sh7751r linux-image-2.6.35-trunk-sh7785lcr linux-headers-2.6.35-trunk-sh7785lcr linux-headers-2.6.35-trunk-all-sparc linux-image-2.6.35-trunk-sparc64 linux-headers-2.6.35-trunk-sparc64 linux-image-2.6.35-trunk-sparc64-smp linux-headers-2.6.35-trunk-sparc64-smp
 linux-headers-2.6.35-trunk-all-sparc64
Architecture: source all amd64
Version: 2.6.35-1~experimental.3
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.35 - Linux kernel specific documentation for version 2.6.35
 linux-headers-2.6.35-trunk-486 - Header files for Linux 2.6.35-trunk-486
 linux-headers-2.6.35-trunk-4kc-malta - Header files for Linux 2.6.35-trunk-4kc-malta
 linux-headers-2.6.35-trunk-5kc-malta - Header files for Linux 2.6.35-trunk-5kc-malta
 linux-headers-2.6.35-trunk-686 - Header files for Linux 2.6.35-trunk-686
 linux-headers-2.6.35-trunk-686-bigmem - Header files for Linux 2.6.35-trunk-686-bigmem
 linux-headers-2.6.35-trunk-all - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-alpha - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-amd64 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-armel - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-hppa - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-i386 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-ia64 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-m68k - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-mips - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-mipsel - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-powerpc - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-s390 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-sh4 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-sparc - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-all-sparc64 - All header files for Linux 2.6.35 (meta-package)
 linux-headers-2.6.35-trunk-alpha-generic - Header files for Linux 2.6.35-trunk-alpha-generic
 linux-headers-2.6.35-trunk-alpha-legacy - Header files for Linux 2.6.35-trunk-alpha-legacy
 linux-headers-2.6.35-trunk-alpha-smp - Header files for Linux 2.6.35-trunk-alpha-smp
 linux-headers-2.6.35-trunk-amd64 - Header files for Linux 2.6.35-trunk-amd64
 linux-headers-2.6.35-trunk-amiga - Header files for Linux 2.6.35-trunk-amiga
 linux-headers-2.6.35-trunk-atari - Header files for Linux 2.6.35-trunk-atari
 linux-headers-2.6.35-trunk-bvme6000 - Header files for Linux 2.6.35-trunk-bvme6000
 linux-headers-2.6.35-trunk-common - Common header files for Linux 2.6.35-trunk
 linux-headers-2.6.35-trunk-iop32x - Header files for Linux 2.6.35-trunk-iop32x
 linux-headers-2.6.35-trunk-itanium - Header files for Linux 2.6.35-trunk-itanium
 linux-headers-2.6.35-trunk-ixp4xx - Header files for Linux 2.6.35-trunk-ixp4xx
 linux-headers-2.6.35-trunk-kirkwood - Header files for Linux 2.6.35-trunk-kirkwood
 linux-headers-2.6.35-trunk-loongson-2f - Header files for Linux 2.6.35-trunk-loongson-2f
 linux-headers-2.6.35-trunk-mac - Header files for Linux 2.6.35-trunk-mac
 linux-headers-2.6.35-trunk-mckinley - Header files for Linux 2.6.35-trunk-mckinley
 linux-headers-2.6.35-trunk-mvme147 - Header files for Linux 2.6.35-trunk-mvme147
 linux-headers-2.6.35-trunk-mvme16x - Header files for Linux 2.6.35-trunk-mvme16x
 linux-headers-2.6.35-trunk-octeon - Header files for Linux 2.6.35-trunk-octeon
 linux-headers-2.6.35-trunk-orion5x - Header files for Linux 2.6.35-trunk-orion5x
 linux-headers-2.6.35-trunk-parisc - Header files for Linux 2.6.35-trunk-parisc
 linux-headers-2.6.35-trunk-parisc-smp - Header files for Linux 2.6.35-trunk-parisc-smp
 linux-headers-2.6.35-trunk-parisc64 - Header files for Linux 2.6.35-trunk-parisc64
 linux-headers-2.6.35-trunk-parisc64-smp - Header files for Linux 2.6.35-trunk-parisc64-smp
 linux-headers-2.6.35-trunk-powerpc - Header files for Linux 2.6.35-trunk-powerpc
 linux-headers-2.6.35-trunk-powerpc-smp - Header files for Linux 2.6.35-trunk-powerpc-smp
 linux-headers-2.6.35-trunk-powerpc64 - Header files for Linux 2.6.35-trunk-powerpc64
 linux-headers-2.6.35-trunk-r4k-ip22 - Header files for Linux 2.6.35-trunk-r4k-ip22
 linux-headers-2.6.35-trunk-r5k-cobalt - Header files for Linux 2.6.35-trunk-r5k-cobalt
 linux-headers-2.6.35-trunk-r5k-ip32 - Header files for Linux 2.6.35-trunk-r5k-ip32
 linux-headers-2.6.35-trunk-s390x - Header files for Linux 2.6.35-trunk-s390x
 linux-headers-2.6.35-trunk-sb1-bcm91250a - Header files for Linux 2.6.35-trunk-sb1-bcm91250a
 linux-headers-2.6.35-trunk-sb1a-bcm91480b - Header files for Linux 2.6.35-trunk-sb1a-bcm91480b
 linux-headers-2.6.35-trunk-sh7751r - Header files for Linux 2.6.35-trunk-sh7751r
 linux-headers-2.6.35-trunk-sh7785lcr - Header files for Linux 2.6.35-trunk-sh7785lcr
 linux-headers-2.6.35-trunk-sparc64 - Header files for Linux 2.6.35-trunk-sparc64
 linux-headers-2.6.35-trunk-sparc64-smp - Header files for Linux 2.6.35-trunk-sparc64-smp
 linux-headers-2.6.35-trunk-versatile - Header files for Linux 2.6.35-trunk-versatile
 linux-image-2.6.35-trunk-486 - Linux 2.6.35 for old PCs
 linux-image-2.6.35-trunk-4kc-malta - Linux 2.6.35 for MIPS Malta
 linux-image-2.6.35-trunk-5kc-malta - Linux 2.6.35 for MIPS Malta (64-bit)
 linux-image-2.6.35-trunk-686 - Linux 2.6.35 for modern PCs
 linux-image-2.6.35-trunk-686-bigmem - Linux 2.6.35 for PCs with 4GB+ RAM
 linux-image-2.6.35-trunk-686-bigmem-dbg - Debugging infos for Linux 2.6.35-trunk-686-bigmem
 linux-image-2.6.35-trunk-alpha-generic - Linux 2.6.35 for Alpha
 linux-image-2.6.35-trunk-alpha-legacy - Linux 2.6.35 for Alpha Legacy
 linux-image-2.6.35-trunk-alpha-smp - Linux 2.6.35 for Alpha SMP
 linux-image-2.6.35-trunk-amd64 - Linux 2.6.35 for 64-bit PCs
 linux-image-2.6.35-trunk-amd64-dbg - Debugging infos for Linux 2.6.35-trunk-amd64
 linux-image-2.6.35-trunk-amiga - Linux 2.6.35 for Amiga
 linux-image-2.6.35-trunk-atari - Linux 2.6.35 for Atari
 linux-image-2.6.35-trunk-bvme6000 - Linux 2.6.35 for BVM BVME4000 and BVME6000
 linux-image-2.6.35-trunk-iop32x - Linux 2.6.35 for IOP32x
 linux-image-2.6.35-trunk-itanium - Linux 2.6.35 for Itanium
 linux-image-2.6.35-trunk-ixp4xx - Linux 2.6.35 for IXP4xx
 linux-image-2.6.35-trunk-kirkwood - Linux 2.6.35 for Marvell Kirkwood
 linux-image-2.6.35-trunk-loongson-2f - Linux 2.6.35 for Loongson 2F
 linux-image-2.6.35-trunk-mac - Linux 2.6.35 for Macintosh
 linux-image-2.6.35-trunk-mckinley - Linux 2.6.35 for Itanium II
 linux-image-2.6.35-trunk-mvme147 - Linux 2.6.35 for Motorola MVME147
 linux-image-2.6.35-trunk-mvme16x - Linux 2.6.35 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.35-trunk-octeon - Linux 2.6.35 for Octeon
 linux-image-2.6.35-trunk-orion5x - Linux 2.6.35 for Marvell Orion
 linux-image-2.6.35-trunk-parisc - Linux 2.6.35 for 32-bit PA-RISC
 linux-image-2.6.35-trunk-parisc-smp - Linux 2.6.35 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.35-trunk-parisc64 - Linux 2.6.35 for 64-bit PA-RISC
 linux-image-2.6.35-trunk-parisc64-smp - Linux 2.6.35 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.35-trunk-powerpc - Linux 2.6.35 for uniprocessor 32-bit PowerPC
 linux-image-2.6.35-trunk-powerpc-smp - Linux 2.6.35 for multiprocessor 32-bit PowerPC
 linux-image-2.6.35-trunk-powerpc64 - Linux 2.6.35 for 64-bit PowerPC
 linux-image-2.6.35-trunk-r4k-ip22 - Linux 2.6.35 for SGI IP22
 linux-image-2.6.35-trunk-r5k-cobalt - Linux 2.6.35 for Cobalt
 linux-image-2.6.35-trunk-r5k-ip32 - Linux 2.6.35 for SGI IP32
 linux-image-2.6.35-trunk-s390x - Linux 2.6.35 for IBM zSeries
 linux-image-2.6.35-trunk-s390x-tape - Linux 2.6.35 for IBM zSeries, IPL from tape
 linux-image-2.6.35-trunk-sb1-bcm91250a - Linux 2.6.35 for BCM91250A
 linux-image-2.6.35-trunk-sb1a-bcm91480b - Linux 2.6.35 for BCM91480B
 linux-image-2.6.35-trunk-sh7751r - Linux 2.6.35 for sh7751r
 linux-image-2.6.35-trunk-sh7785lcr - Linux 2.6.35 for sh7785lcr
 linux-image-2.6.35-trunk-sparc64 - Linux 2.6.35 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.35-trunk-sparc64-smp - Linux 2.6.35 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.35-trunk-versatile - Linux 2.6.35 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.35 - Linux kernel API manual pages for version 2.6.35
 linux-patch-debian-2.6.35 - Debian patches to version 2.6.35 of the Linux kernel
 linux-source-2.6.35 - Linux kernel source for version 2.6.35 with Debian patches
 linux-support-2.6.35-trunk - Support files for Linux 2.6.35
 linux-tools-2.6.35 - Performance analysis tools for Linux 2.6.35
Closes: 555549 574243 589996 590546 590557 591149 591241 592045 592226 593720 594642
Changes: 
 linux-2.6 (2.6.35-1~experimental.3) experimental; urgency=low
 .
   [ Ritesh Raj Sarraf ]
   * Add .gnu_debuglink information into kernel modules (Closes: #555549)
 .
   [ Ben Hutchings ]
   * linux-base: Remove dependency on libapt-pkg-perl (Closes: #589996)
   * Update debconf template translations:
     - Czech (Michal Simunek) (Closes: #590546)
     - Portugese (Américo Monteiro) (Closes: #590557)
     - French (David Prévot) (Closes: #591149)
     - Russian (Yuri Kozlov) (Closes: #591241)
     - Swedish (Martin Bagge) (Closes: #592045)
     - German (Holger Wansing) (Closes: #592226)
   * [x86] Enable samsung-laptop driver
   * [sparc] Enable XVR1000 driver (Closes: #574243)
   * Change BLK_CGROUP from module to built-in so that cfq can be the
     default I/O scheduler again (Closes: #593720)
   * [mipsel/loongson-2f] Enable smtcfb (FB_SM7XX) driver (Closes: #594642)
 .
   [ Ian Campbell ]
   * Fixes/overrides for Linitan warnings:
     - Add "(meta package)" to short description of linux-headers
       metapackages, resolves empty-binary-package.
     - Add dependency on ${misc:Depends} to all packages, resolves
       debhelper-but-no-misc-depends. Required update to gencontrol.py to
       augment rather than override headers_arch_depends read from templates.
     - Override dbg-package-missing-depends for linux-image-*-dbg. It is not
       necessary to install the kernel image package to use the dbg package
       since the dbg package already contains a complete image with symbols.
 .
   [ Bastian Blank ]
   * Disable Ralink staging drivers, the in-tree ones reached "works-for-me"
     status.
 .
   [ Aurelien Jarno ]
   * Fix netfilter CONFIG_COMPAT support.
   * [sh4] set VIRTUALIZATION.
   * [mips] Add an octeon flavour.
 .
   [ maximilian attems]
   * Add stable 2.6.35.3 and 2.6.35.4.
Checksums-Sha1: 
 7f225998042fb96c01c3bbcab8efe96865b790ae 5543 linux-2.6_2.6.35-1~experimental.3.dsc
 42f41c8423c0aaed771b130588920e6546200796 668745 linux-2.6_2.6.35-1~experimental.3.diff.gz
 f53a224714a397f2f8c36d504405bb01cd24d0f0 6286098 linux-doc-2.6.35_2.6.35-1~experimental.3_all.deb
 c75793bda3df4feac1415231c11859a7d0319b6a 2822988 linux-manual-2.6.35_2.6.35-1~experimental.3_all.deb
 f270f7f7ba1605824783c0942b38c6c9f7b3574e 440822 linux-patch-debian-2.6.35_2.6.35-1~experimental.3_all.deb
 0352176973c47b3d710ccb244df7fa32e8999707 68609568 linux-source-2.6.35_2.6.35-1~experimental.3_all.deb
 e0735b8aef0f03bbb815f74b8802da2ad50f4dd9 148042 linux-support-2.6.35-trunk_2.6.35-1~experimental.3_all.deb
 d392186c99e9a64066ad580b4d58462de3b59903 136550 firmware-linux-free_2.6.35-1~experimental.3_all.deb
 afd17890d1f91be3e4419b4945970b3607dd8541 155086 linux-base_2.6.35-1~experimental.3_all.deb
 a884ba5a878bc47345212b67dd7250f0e1de0dd8 28768894 linux-image-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 82f135e07a6150c78b7332b31ee229c282c65dbc 392116190 linux-image-2.6.35-trunk-amd64-dbg_2.6.35-1~experimental.3_amd64.deb
 669ed15237b44eb772bbbe99a3af9baff1cd4c82 545684 linux-headers-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 bb43a43697df95e64cd4e396da4a8fda8b57b356 4097472 linux-headers-2.6.35-trunk-common_2.6.35-1~experimental.3_amd64.deb
 e3d73c7c69391735888765ca861b5d2ad14974c1 131840 linux-headers-2.6.35-trunk-all_2.6.35-1~experimental.3_amd64.deb
 a1811db60d78580b52fabb02006cd00e74da766e 131846 linux-headers-2.6.35-trunk-all-amd64_2.6.35-1~experimental.3_amd64.deb
 5cc8fc7fc601efcc461304ae76e77c4caf852417 852174 linux-libc-dev_2.6.35-1~experimental.3_amd64.deb
 e052ff182e41e1466a1c1501738c515d7123b5e2 376268 linux-tools-2.6.35_2.6.35-1~experimental.3_amd64.deb
Checksums-Sha256: 
 18508132fdeb76cf93cd542aa201f704009b9cccea6cc06a276ced9b12bc538a 5543 linux-2.6_2.6.35-1~experimental.3.dsc
 cd0637e2461e950208687a28a53d075da7a489cc5a49cc2592f696f57fe4495e 668745 linux-2.6_2.6.35-1~experimental.3.diff.gz
 1998716715b8e506b0b891cfe87eec6f9dcdda915a69fbdedeadf3cf135fd0d3 6286098 linux-doc-2.6.35_2.6.35-1~experimental.3_all.deb
 2ef864f5b404c543004095a1288a99e439eeaab3c835dfb03b9df29689ea490f 2822988 linux-manual-2.6.35_2.6.35-1~experimental.3_all.deb
 612e90801adb54ad22eff1829c81a02304045eee174a8121039390033dde6fcb 440822 linux-patch-debian-2.6.35_2.6.35-1~experimental.3_all.deb
 c79430638ca13e662f7fa43b902525a813fa5a91571825470963cda9710bec73 68609568 linux-source-2.6.35_2.6.35-1~experimental.3_all.deb
 df3ac04e87202a179f9b960e1bfe9cc8032ca0d872a6b3c81bb894d3f4915cd1 148042 linux-support-2.6.35-trunk_2.6.35-1~experimental.3_all.deb
 596e542fcccfdb60b060ead9072223f799ea13996e2696906dd814dc40356795 136550 firmware-linux-free_2.6.35-1~experimental.3_all.deb
 ab5bc2e1e6ff9335cc8e924951d8460dce6ce66ba7413868cccc95924fabc524 155086 linux-base_2.6.35-1~experimental.3_all.deb
 59f52d0e57edaabcd11a7d4ed442df0998ea43a2352fda75e241de5593cd66d8 28768894 linux-image-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 7b210e0360d453bf82ae3098be138d62d1f01deaef916150d0776bd668c19fc7 392116190 linux-image-2.6.35-trunk-amd64-dbg_2.6.35-1~experimental.3_amd64.deb
 a75fc8b99e8223eb0b81aaccadd24fd7d7db1935c872cb1d1076f8cefa5f9450 545684 linux-headers-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 4d26a5f8df236c711e981348a1151f2c6cb638027a989d1d952ea0d01a728051 4097472 linux-headers-2.6.35-trunk-common_2.6.35-1~experimental.3_amd64.deb
 69b95ca2ce637c2ecf50a3c3a5b6786ee246179a370789997a06c53f9c6942df 131840 linux-headers-2.6.35-trunk-all_2.6.35-1~experimental.3_amd64.deb
 8f73fc9ca97ec6f3656403969b368b12b62761a33cfeb7380e683f1589207b87 131846 linux-headers-2.6.35-trunk-all-amd64_2.6.35-1~experimental.3_amd64.deb
 64a63bcec07da09dd910cdccc86a2e0ef2586f2aa942e1b9fb63eb1b0fcabef7 852174 linux-libc-dev_2.6.35-1~experimental.3_amd64.deb
 3dfbc746b2384ee959d09e3ef30a9a1fd324d644e41b6387dbd031dd6a4ad219 376268 linux-tools-2.6.35_2.6.35-1~experimental.3_amd64.deb
Files: 
 70b94cd756133f07ed60f7d5ad660de0 5543 kernel optional linux-2.6_2.6.35-1~experimental.3.dsc
 f7658f82b76f00c3399eef6762046549 668745 kernel optional linux-2.6_2.6.35-1~experimental.3.diff.gz
 be4f06e68e367106d50df89ed679f186 6286098 doc optional linux-doc-2.6.35_2.6.35-1~experimental.3_all.deb
 eb9d360e228955b0c5b5dc4bc788cf3c 2822988 doc optional linux-manual-2.6.35_2.6.35-1~experimental.3_all.deb
 9a68e9f894d3ae646b96b12ffcaffc65 440822 kernel optional linux-patch-debian-2.6.35_2.6.35-1~experimental.3_all.deb
 3da3f8ae87e84fb243ae3ce47c13c6ce 68609568 kernel optional linux-source-2.6.35_2.6.35-1~experimental.3_all.deb
 03ccb37914bc9fc793116057a7473157 148042 devel optional linux-support-2.6.35-trunk_2.6.35-1~experimental.3_all.deb
 fd1244cda0107d872fa00cbeae198560 136550 kernel optional firmware-linux-free_2.6.35-1~experimental.3_all.deb
 afb194fb4eeeae397263d353a85bb9b9 155086 kernel optional linux-base_2.6.35-1~experimental.3_all.deb
 b4e1532aafb95421e62a4b0a321e3454 28768894 kernel optional linux-image-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 b7dca411cc1c10beeebe51182f5cbd22 392116190 debug extra linux-image-2.6.35-trunk-amd64-dbg_2.6.35-1~experimental.3_amd64.deb
 969ed0b898e60d73ee52f935bcb2ff78 545684 kernel optional linux-headers-2.6.35-trunk-amd64_2.6.35-1~experimental.3_amd64.deb
 5034dfe4a9c59fae3841bf4a5b65980d 4097472 kernel optional linux-headers-2.6.35-trunk-common_2.6.35-1~experimental.3_amd64.deb
 1a669879faa5e2cefcb89f7d7e0c54f7 131840 kernel optional linux-headers-2.6.35-trunk-all_2.6.35-1~experimental.3_amd64.deb
 362cae79f66568f5e6f9e7e42e42309c 131846 kernel optional linux-headers-2.6.35-trunk-all-amd64_2.6.35-1~experimental.3_amd64.deb
 f8c13557c4b4c52a8d515733bff22ecd 852174 devel optional linux-libc-dev_2.6.35-1~experimental.3_amd64.deb
 d7676097409c4a03c6eb44a824812245 376268 kernel optional linux-tools-2.6.35_2.6.35-1~experimental.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyFEToACgkQeW7Lc5tEHqjNdACggtSeTOuEMCjcY7yma/cBDSN6
DVQAmwR3JwLpBkee53S2Kg8k+BtrYZTK
=IU/Q
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 08:09:13 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions linux-2.6/2.6.35-1~experimental.3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:39:13 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions linux-2.6/2.6.32-19 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Sep 2010 14:39:13 GMT) Full text and rfc822 format available.

Forcibly Merged 589996 598023. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:39:14 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 04 Oct 2010 09:06:04 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Mon, 04 Oct 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #49 received at 589996-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 589996-close@bugs.debian.org
Subject: Bug#589996: fixed in linux-2.6 2.6.36~rc6-1~experimental.1
Date: Mon, 04 Oct 2010 09:03:24 +0000
Source: linux-2.6
Source-Version: 2.6.36~rc6-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
linux-2.6_2.6.36~rc6-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6-1~experimental.1.dsc
linux-2.6_2.6.36~rc6.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6.orig.tar.gz
linux-base_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-base_2.6.36~rc6-1~experimental.1_all.deb
linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 03 Oct 2010 21:18:41 +0100
Source: linux-2.6
Binary: linux-tools-2.6.36 linux-source-2.6.36 linux-doc-2.6.36 linux-manual-2.6.36 linux-patch-debian-2.6.36 firmware-linux-free linux-support-2.6.36-rc6 linux-base linux-libc-dev linux-headers-2.6.36-rc6-all linux-headers-2.6.36-rc6-all-alpha linux-headers-2.6.36-rc6-common linux-image-2.6.36-rc6-alpha-generic linux-headers-2.6.36-rc6-alpha-generic linux-image-2.6.36-rc6-alpha-smp linux-headers-2.6.36-rc6-alpha-smp linux-image-2.6.36-rc6-alpha-legacy linux-headers-2.6.36-rc6-alpha-legacy linux-headers-2.6.36-rc6-all-amd64 linux-image-2.6.36-rc6-amd64 linux-headers-2.6.36-rc6-amd64 linux-image-2.6.36-rc6-amd64-dbg linux-headers-2.6.36-rc6-all-armel linux-image-2.6.36-rc6-iop32x linux-headers-2.6.36-rc6-iop32x linux-image-2.6.36-rc6-ixp4xx linux-headers-2.6.36-rc6-ixp4xx linux-image-2.6.36-rc6-kirkwood linux-headers-2.6.36-rc6-kirkwood linux-image-2.6.36-rc6-orion5x linux-headers-2.6.36-rc6-orion5x linux-image-2.6.36-rc6-versatile linux-headers-2.6.36-rc6-versatile
 linux-headers-2.6.36-rc6-all-hppa linux-image-2.6.36-rc6-parisc linux-headers-2.6.36-rc6-parisc linux-image-2.6.36-rc6-parisc-smp linux-headers-2.6.36-rc6-parisc-smp linux-image-2.6.36-rc6-parisc64 linux-headers-2.6.36-rc6-parisc64 linux-image-2.6.36-rc6-parisc64-smp linux-headers-2.6.36-rc6-parisc64-smp linux-headers-2.6.36-rc6-all-i386 linux-image-2.6.36-rc6-486 linux-headers-2.6.36-rc6-486 linux-image-2.6.36-rc6-686 linux-headers-2.6.36-rc6-686 linux-image-2.6.36-rc6-686-bigmem linux-headers-2.6.36-rc6-686-bigmem linux-image-2.6.36-rc6-686-bigmem-dbg linux-headers-2.6.36-rc6-all-ia64 linux-image-2.6.36-rc6-itanium linux-headers-2.6.36-rc6-itanium linux-image-2.6.36-rc6-mckinley linux-headers-2.6.36-rc6-mckinley linux-headers-2.6.36-rc6-all-m68k linux-image-2.6.36-rc6-amiga linux-headers-2.6.36-rc6-amiga linux-image-2.6.36-rc6-atari linux-headers-2.6.36-rc6-atari linux-image-2.6.36-rc6-bvme6000 linux-headers-2.6.36-rc6-bvme6000 linux-image-2.6.36-rc6-mac
 linux-headers-2.6.36-rc6-mac linux-image-2.6.36-rc6-mvme147 linux-headers-2.6.36-rc6-mvme147 linux-image-2.6.36-rc6-mvme16x linux-headers-2.6.36-rc6-mvme16x linux-headers-2.6.36-rc6-all-mips linux-image-2.6.36-rc6-r4k-ip22 linux-headers-2.6.36-rc6-r4k-ip22 linux-image-2.6.36-rc6-r5k-ip32 linux-headers-2.6.36-rc6-r5k-ip32 linux-image-2.6.36-rc6-sb1-bcm91250a linux-headers-2.6.36-rc6-sb1-bcm91250a linux-image-2.6.36-rc6-sb1a-bcm91480b linux-headers-2.6.36-rc6-sb1a-bcm91480b linux-image-2.6.36-rc6-4kc-malta linux-headers-2.6.36-rc6-4kc-malta linux-image-2.6.36-rc6-5kc-malta linux-headers-2.6.36-rc6-5kc-malta linux-image-2.6.36-rc6-octeon linux-headers-2.6.36-rc6-octeon linux-headers-2.6.36-rc6-all-mipsel linux-image-2.6.36-rc6-r5k-cobalt linux-headers-2.6.36-rc6-r5k-cobalt linux-image-2.6.36-rc6-loongson-2f linux-headers-2.6.36-rc6-loongson-2f linux-headers-2.6.36-rc6-all-powerpc linux-image-2.6.36-rc6-powerpc linux-headers-2.6.36-rc6-powerpc
 linux-image-2.6.36-rc6-powerpc-smp linux-headers-2.6.36-rc6-powerpc-smp linux-image-2.6.36-rc6-powerpc64 linux-headers-2.6.36-rc6-powerpc64 linux-headers-2.6.36-rc6-all-s390 linux-image-2.6.36-rc6-s390x linux-headers-2.6.36-rc6-s390x linux-image-2.6.36-rc6-s390x-tape linux-headers-2.6.36-rc6-all-sh4 linux-image-2.6.36-rc6-sh7751r linux-headers-2.6.36-rc6-sh7751r linux-image-2.6.36-rc6-sh7785lcr linux-headers-2.6.36-rc6-sh7785lcr linux-headers-2.6.36-rc6-all-sparc linux-image-2.6.36-rc6-sparc64 linux-headers-2.6.36-rc6-sparc64 linux-image-2.6.36-rc6-sparc64-smp linux-headers-2.6.36-rc6-sparc64-smp
 linux-headers-2.6.36-rc6-all-sparc64
Architecture: all amd64 source
Version: 2.6.36~rc6-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 589996 592415 598207
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.36 - Linux kernel specific documentation for version 2.6.36
 linux-headers-2.6.36-rc6-486 - Header files for Linux 2.6.36-rc6-486
 linux-headers-2.6.36-rc6-4kc-malta - Header files for Linux 2.6.36-rc6-4kc-malta
 linux-headers-2.6.36-rc6-5kc-malta - Header files for Linux 2.6.36-rc6-5kc-malta
 linux-headers-2.6.36-rc6-686-bigmem - Header files for Linux 2.6.36-rc6-686-bigmem
 linux-headers-2.6.36-rc6-686 - Header files for Linux 2.6.36-rc6-686
 linux-headers-2.6.36-rc6-all - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-alpha - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-amd64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-armel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-hppa - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-i386 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-ia64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-m68k - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-mips - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-mipsel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-powerpc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-s390 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sh4 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sparc64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sparc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-alpha-generic - Header files for Linux 2.6.36-rc6-alpha-generic
 linux-headers-2.6.36-rc6-alpha-legacy - Header files for Linux 2.6.36-rc6-alpha-legacy
 linux-headers-2.6.36-rc6-alpha-smp - Header files for Linux 2.6.36-rc6-alpha-smp
 linux-headers-2.6.36-rc6-amd64 - Header files for Linux 2.6.36-rc6-amd64
 linux-headers-2.6.36-rc6-amiga - Header files for Linux 2.6.36-rc6-amiga
 linux-headers-2.6.36-rc6-atari - Header files for Linux 2.6.36-rc6-atari
 linux-headers-2.6.36-rc6-bvme6000 - Header files for Linux 2.6.36-rc6-bvme6000
 linux-headers-2.6.36-rc6-common - Common header files for Linux 2.6.36-rc6
 linux-headers-2.6.36-rc6-iop32x - Header files for Linux 2.6.36-rc6-iop32x
 linux-headers-2.6.36-rc6-itanium - Header files for Linux 2.6.36-rc6-itanium
 linux-headers-2.6.36-rc6-ixp4xx - Header files for Linux 2.6.36-rc6-ixp4xx
 linux-headers-2.6.36-rc6-kirkwood - Header files for Linux 2.6.36-rc6-kirkwood
 linux-headers-2.6.36-rc6-loongson-2f - Header files for Linux 2.6.36-rc6-loongson-2f
 linux-headers-2.6.36-rc6-mac - Header files for Linux 2.6.36-rc6-mac
 linux-headers-2.6.36-rc6-mckinley - Header files for Linux 2.6.36-rc6-mckinley
 linux-headers-2.6.36-rc6-mvme147 - Header files for Linux 2.6.36-rc6-mvme147
 linux-headers-2.6.36-rc6-mvme16x - Header files for Linux 2.6.36-rc6-mvme16x
 linux-headers-2.6.36-rc6-octeon - Header files for Linux 2.6.36-rc6-octeon
 linux-headers-2.6.36-rc6-orion5x - Header files for Linux 2.6.36-rc6-orion5x
 linux-headers-2.6.36-rc6-parisc64 - Header files for Linux 2.6.36-rc6-parisc64
 linux-headers-2.6.36-rc6-parisc64-smp - Header files for Linux 2.6.36-rc6-parisc64-smp
 linux-headers-2.6.36-rc6-parisc - Header files for Linux 2.6.36-rc6-parisc
 linux-headers-2.6.36-rc6-parisc-smp - Header files for Linux 2.6.36-rc6-parisc-smp
 linux-headers-2.6.36-rc6-powerpc64 - Header files for Linux 2.6.36-rc6-powerpc64
 linux-headers-2.6.36-rc6-powerpc - Header files for Linux 2.6.36-rc6-powerpc
 linux-headers-2.6.36-rc6-powerpc-smp - Header files for Linux 2.6.36-rc6-powerpc-smp
 linux-headers-2.6.36-rc6-r4k-ip22 - Header files for Linux 2.6.36-rc6-r4k-ip22
 linux-headers-2.6.36-rc6-r5k-cobalt - Header files for Linux 2.6.36-rc6-r5k-cobalt
 linux-headers-2.6.36-rc6-r5k-ip32 - Header files for Linux 2.6.36-rc6-r5k-ip32
 linux-headers-2.6.36-rc6-s390x - Header files for Linux 2.6.36-rc6-s390x
 linux-headers-2.6.36-rc6-sb1a-bcm91480b - Header files for Linux 2.6.36-rc6-sb1a-bcm91480b
 linux-headers-2.6.36-rc6-sb1-bcm91250a - Header files for Linux 2.6.36-rc6-sb1-bcm91250a
 linux-headers-2.6.36-rc6-sh7751r - Header files for Linux 2.6.36-rc6-sh7751r
 linux-headers-2.6.36-rc6-sh7785lcr - Header files for Linux 2.6.36-rc6-sh7785lcr
 linux-headers-2.6.36-rc6-sparc64 - Header files for Linux 2.6.36-rc6-sparc64
 linux-headers-2.6.36-rc6-sparc64-smp - Header files for Linux 2.6.36-rc6-sparc64-smp
 linux-headers-2.6.36-rc6-versatile - Header files for Linux 2.6.36-rc6-versatile
 linux-image-2.6.36-rc6-486 - Linux 2.6.36-rc6 for old PCs
 linux-image-2.6.36-rc6-4kc-malta - Linux 2.6.36-rc6 for MIPS Malta
 linux-image-2.6.36-rc6-5kc-malta - Linux 2.6.36-rc6 for MIPS Malta (64-bit)
 linux-image-2.6.36-rc6-686-bigmem-dbg - Debugging infos for Linux 2.6.36-rc6-686-bigmem
 linux-image-2.6.36-rc6-686-bigmem - Linux 2.6.36-rc6 for PCs with 4GB+ RAM
 linux-image-2.6.36-rc6-686 - Linux 2.6.36-rc6 for modern PCs
 linux-image-2.6.36-rc6-alpha-generic - Linux 2.6.36-rc6 for Alpha
 linux-image-2.6.36-rc6-alpha-legacy - Linux 2.6.36-rc6 for Alpha Legacy
 linux-image-2.6.36-rc6-alpha-smp - Linux 2.6.36-rc6 for Alpha SMP
 linux-image-2.6.36-rc6-amd64-dbg - Debugging infos for Linux 2.6.36-rc6-amd64
 linux-image-2.6.36-rc6-amd64 - Linux 2.6.36-rc6 for 64-bit PCs
 linux-image-2.6.36-rc6-amiga - Linux 2.6.36-rc6 for Amiga
 linux-image-2.6.36-rc6-atari - Linux 2.6.36-rc6 for Atari
 linux-image-2.6.36-rc6-bvme6000 - Linux 2.6.36-rc6 for BVM BVME4000 and BVME6000
 linux-image-2.6.36-rc6-iop32x - Linux 2.6.36-rc6 for IOP32x
 linux-image-2.6.36-rc6-itanium - Linux 2.6.36-rc6 for Itanium
 linux-image-2.6.36-rc6-ixp4xx - Linux 2.6.36-rc6 for IXP4xx
 linux-image-2.6.36-rc6-kirkwood - Linux 2.6.36-rc6 for Marvell Kirkwood
 linux-image-2.6.36-rc6-loongson-2f - Linux 2.6.36-rc6 for Loongson 2F
 linux-image-2.6.36-rc6-mac - Linux 2.6.36-rc6 for Macintosh
 linux-image-2.6.36-rc6-mckinley - Linux 2.6.36-rc6 for Itanium II
 linux-image-2.6.36-rc6-mvme147 - Linux 2.6.36-rc6 for Motorola MVME147
 linux-image-2.6.36-rc6-mvme16x - Linux 2.6.36-rc6 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.36-rc6-octeon - Linux 2.6.36-rc6 for Octeon
 linux-image-2.6.36-rc6-orion5x - Linux 2.6.36-rc6 for Marvell Orion
 linux-image-2.6.36-rc6-parisc64 - Linux 2.6.36-rc6 for 64-bit PA-RISC
 linux-image-2.6.36-rc6-parisc64-smp - Linux 2.6.36-rc6 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.36-rc6-parisc - Linux 2.6.36-rc6 for 32-bit PA-RISC
 linux-image-2.6.36-rc6-parisc-smp - Linux 2.6.36-rc6 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.36-rc6-powerpc64 - Linux 2.6.36-rc6 for 64-bit PowerPC
 linux-image-2.6.36-rc6-powerpc - Linux 2.6.36-rc6 for uniprocessor 32-bit PowerPC
 linux-image-2.6.36-rc6-powerpc-smp - Linux 2.6.36-rc6 for multiprocessor 32-bit PowerPC
 linux-image-2.6.36-rc6-r4k-ip22 - Linux 2.6.36-rc6 for SGI IP22
 linux-image-2.6.36-rc6-r5k-cobalt - Linux 2.6.36-rc6 for Cobalt
 linux-image-2.6.36-rc6-r5k-ip32 - Linux 2.6.36-rc6 for SGI IP32
 linux-image-2.6.36-rc6-s390x - Linux 2.6.36-rc6 for IBM zSeries
 linux-image-2.6.36-rc6-s390x-tape - Linux 2.6.36-rc6 for IBM zSeries, IPL from tape
 linux-image-2.6.36-rc6-sb1a-bcm91480b - Linux 2.6.36-rc6 for BCM91480B
 linux-image-2.6.36-rc6-sb1-bcm91250a - Linux 2.6.36-rc6 for BCM91250A
 linux-image-2.6.36-rc6-sh7751r - Linux 2.6.36-rc6 for sh7751r
 linux-image-2.6.36-rc6-sh7785lcr - Linux 2.6.36-rc6 for sh7785lcr
 linux-image-2.6.36-rc6-sparc64 - Linux 2.6.36-rc6 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.36-rc6-sparc64-smp - Linux 2.6.36-rc6 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.36-rc6-versatile - Linux 2.6.36-rc6 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.36 - Linux kernel API manual pages for version 2.6.36
 linux-patch-debian-2.6.36 - Debian patches to version 2.6.36 of the Linux kernel
 linux-source-2.6.36 - Linux kernel source for version 2.6.36 with Debian patches
 linux-support-2.6.36-rc6 - Support files for Linux 2.6.36-rc6
 linux-tools-2.6.36 - Performance analysis tools for Linux 2.6.36-rc6
Changes: 
 linux-2.6 (2.6.36~rc6-1~experimental.1) experimental; urgency=low
 .
   * New upstream release candidate
     - drm/i915: Ensure that the crtcinfo is populated during mode_fixup()
       (Closes: #592415)
     - USB: fix bug in initialization of interface minor numbers
       (Closes: #598207)
 .
   [ Ben Hutchings ]
   * linux-base: Remove dependency on libapt-pkg-perl (Closes: #589996, really)
   * Disable INTEL_IDLE.  It can no longer be built as a module and so was
     actually disabled by the previous version, but I do not consider it ready
     to build-in yet.
   * Enable modular NETFILTER_XT_TARGET_CHECKSUM, NETFILTER_XT_TARGET_IDLETIMER,
     NETFILTER_XT_MATCH_CPU, NETFILTER_XT_MATCH_IPVS
   * Reenable LOCKUP_DETECTOR, accidentally disabled by the previous version
   * Enable modular AD525X_DPOT_I2C, ATM_NICSTAR, CAN_ESD_USB2, CHELSIO_T4VF,
     FIREWIRE_NOSY, HID_ACRUX_FF, HID_ELECOM, INFINIBAND_CXGB4, INFINIBAND_QIB,
     MTD_PCMCIA, ORINOCO_USB, PPS_CLIENT_LDISC, RAMOOPS, SERIAL_MFD_HSU,
     UIO_NETX, USB_GSPCA_SPCA1528, USB_GSPCA_SQ930X, USB_SERIAL_SSU100,
     USB_SERIAL_ZIO, WL1271_SDIO, WL1271_SPI
   * Enable BT_HCIUART_ATH3K, USB_SERIAL_MOS7715_PARPORT
   * [x86] Enable modular SENSORS_PKGTEMP
   * Enable modular IR_CORE, RC_MAP, all IR decoders, IR_IMON, IR_MCEUSB,
     IR_ENE, IR_STREAMZAP
   * [x86] Enable modular LIRC drivers
Checksums-Sha1: 
 2a1202f0e8ed999eebbc32bdc4eb83d894e0fc59 6002 linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 dbd5e16d7222c19f8785c6d87b891bd74348b26f 88879450 linux-2.6_2.6.36~rc6.orig.tar.gz
 e0f49db07bf09d3d2782cbca2f0b6d61b61b6f19 1093166 linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 dc0f8f06a362970b493f791f5ec063da60d285b1 148990 linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 3ac15f8670528dc992a1efe63e08b9624fd70c3b 768704 linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 4317bf97bf90132e2af456341d979a247d45b165 155682 linux-base_2.6.36~rc6-1~experimental.1_all.deb
 1c494ca3aa277a690991e46c25c6e5e7d338c2a9 137328 firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 f69f71bb44c2f49427ac26993cbf1a2e027fe564 70190514 linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 0f25e5be6eb93d9e5f700ea02a1cc157cbc3c035 6452024 linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 3c68a6036c26900f88aa68f75b73f756e6b33e75 2871538 linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
Checksums-Sha256: 
 95e6380987c2d9d26860d735934853268f7446c08f171b7d5e271c00a82ddfae 6002 linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 f320f8ae0f9662412f056ed62525d48cc59b34e547540327d5eea530d31bdd3f 88879450 linux-2.6_2.6.36~rc6.orig.tar.gz
 159504671fbe6243c56b079f9030870e4b0ab48e8f730dc6a8900fc1b7d43892 1093166 linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 3cd21b2d5bfac24f332a97ebc5590a2f74bb7951de7885d0b451770de9274e04 148990 linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 bfeaa78efcf6fe613a66ba215838cbbb4a8ad580d5647fadba9ea4531049023a 768704 linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 ce2965de296f8b34acd455f73cf1b6d4250fb131986b10a99551ea96bfd09961 155682 linux-base_2.6.36~rc6-1~experimental.1_all.deb
 297917f01327d3a35b87aea51a94f8647806a176ad3a79c04140bf0b62df91e8 137328 firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 c19272d4a0a746ff9a36b267612385ad6dcdda60ec04ff59952574e2bdca4280 70190514 linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 8b355f1e9b312bf10cf8fccab1c98d168dffe6e7883a3da7d6de1e0a194dd21d 6452024 linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 6691e581b01c7a87e71398f94e6833ae0bba5ff34f04cba7364c747900ede986 2871538 linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
Files: 
 0a936db36240f1a1606b36fadf277298 6002 kernel optional linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 c10758ddef0e890caea05558e55e465a 88879450 kernel optional linux-2.6_2.6.36~rc6.orig.tar.gz
 434e7899c134716faccb8a5fc851365b 1093166 kernel optional linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 bb8979c567b381f82333335d2510580d 148990 devel optional linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 f2abb9405fe1485cea86d9c1931c25f6 768704 kernel optional linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 d6316e3bd109e10a029386182f30ec87 155682 kernel optional linux-base_2.6.36~rc6-1~experimental.1_all.deb
 4b71b9fac92d1d922fb3a6c79bf5ca1f 137328 kernel optional firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 84a9e2388314fe6f0f9e7bcd2940aabd 70190514 kernel optional linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 f51fe106a4d3dc426f2557342da7207e 6452024 doc optional linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 b0fd46d5cf0204e3a88fcdad3b3e65dd 2871538 doc optional linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTKkndOe/yOyVhhEJAQonhw//X9H+Uo3NZvYkqEOROBV70jMmDR00gxrh
YIP+EwI23HcD1I80IYsle/RujPGm0euo3rL97QAXzUldYPPyRPaKwP/UaD2cLX6q
0yTG7LjJyzlGGtQrX+EiW8llErAXDHnJ3MPW6WOubQ7V0wE0ZNJcCoEzByM7iDA3
+/69r0xx3O+odISHxxq//qn4bByM55llKtotIocDO2rdlBG99RWKZNNl+k40iat4
oDjOaFAKwKnbiaEfnAuHqpgI7FhctnBY0GZO6N06mer8k9L7FXy4vpYRZfdtZ3Z6
AeYfHNqiswN6UmGyB89DY45qDs1zKjTySbn3/T9+juNJPlId28xJUDHYN5tM7rU7
JNxSCAqHdH9B/JLK4Anq5uNJYrc9CDFjf7zj1/DJ/3XlXdqzmK1l9PaWvzxJUH4s
Tz9G4hMRFRKgkqrxwi1LFfGue154m4mE70XyixLaEcHsh2+f5JMDWi9saiZ1CrBl
XxhaPry6VssbOjF9dy4koGUz5e5FRwgVd0SSxj8axIcKy020z2fok38zNTNvoxvs
w0px/+CdNYc4EDsLb9/n8/SrGAs6FDEvn+L4D/S4YKujikGl9CtOybtpB/9Yj+kG
JmZVb8pWuGLL7/D+/2+JRsrD7EkfmZ7BlRH7MXrFgc5wR6shMtIsEy3oUTVpBP1r
Dfq2B/eEHDs=
=dKX8
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 04 Oct 2010 09:06:05 GMT) Full text and rfc822 format available.

Notification sent to Tim Muller <t.i.m@zen.co.uk>:
Bug acknowledged by developer. (Mon, 04 Oct 2010 09:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Thu, 25 Nov 2010 10:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank L <blaterblater@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Nov 2010 10:30:06 GMT) Full text and rfc822 format available.

Message #59 received at 589996@bugs.debian.org (full text, mbox):

From: Frank L <blaterblater@hotmail.com>
To: Debian Bug Tracking System <589996@bugs.debian.org>
Subject: linux-base 2.6.36-1~experimental.1 reintroduces libapt-pkg-perl dependency in control file
Date: Thu, 25 Nov 2010 11:16:10 +0100
Package: linux-base
Version: 2.6.36~rc5-1~experimental.1
Severity: normal

The 2.6.36~rc5-1~experimental version of linux-base reintroduces the libapt-pkg-perl dependency in the control file for this package

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.36-rc5-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-base depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
pn  libapt-pkg-perl               <none>     (no description available)
ii  libuuid-perl                  0.02-4     Perl extension for using UUID inte
ii  udev                          164-2      /dev/ and hotplug management daemo
ii  util-linux                    2.17.2-3.3 Miscellaneous system utilities

linux-base recommends no packages.

linux-base suggests no packages.

-- debconf information excluded





Message #60 received at 589996-done@bugs.debian.org (full text, mbox):

From: Frank <blaterblater@hotmail.com>
To: <589996-done@bugs.debian.org>
Subject: ignore previous report
Date: Thu, 25 Nov 2010 12:12:05 +0100
Bug has already been fixed in new version 

(which didn't get installed on my system, due to lack of availability of matching linux-image version)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589996; Package linux-base. (Thu, 25 Nov 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Nov 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #65 received at 589996@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Frank L <blaterblater@hotmail.com>, 589996@bugs.debian.org
Subject: Re: Bug#589996: linux-base 2.6.36-1~experimental.1 reintroduces libapt-pkg-perl dependency in control file
Date: Thu, 25 Nov 2010 14:02:53 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-11-25 at 11:16 +0100, Frank L wrote:
> Package: linux-base
> Version: 2.6.36~rc5-1~experimental.1
> Severity: normal
> 
> The 2.6.36~rc5-1~experimental version of linux-base reintroduces the
> libapt-pkg-perl dependency in the control file for this package

That's because there are two separate branches for squeeze/sid and
experimental.  This was fixed on the experimental branch in version
2.6.36~rc6-1~experimental.1.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug Marked as fixed in versions linux-2.6/2.6.32-29. Request was from Henri Le Foll <bugs@lefoll.eu> to control@bugs.debian.org. (Wed, 09 Feb 2011 21:27:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Mar 2011 07:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:12:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.